Bug 140098 - [65cat] Grails project cannot be created
[65cat] Grails project cannot be created
Status: VERIFIED FIXED
Product: groovy
Classification: Unclassified
Component: Code
6.x
PC Windows XP
: P1 (vote)
: 6.x
Assigned To: martin_adamek
issues@groovy
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-15 14:24 UTC by zeljkot
Modified: 2008-10-30 14:24 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description zeljkot 2008-07-15 14:24:42 UTC
[ BUILD # : 200807101204 ]
[ JDK VERSION : 1.6.0 ]

JDK Version: J2SE 1.6.0_10-beta

Creation of Grails project fails.

Groovy and Grails are configured under Tools -> Options (hopefully
properly).

No output directory was created.

Output window shows:

Welcome to Grails 1.0.3 - http://grails.org/
Licensed under Apache Standard License 2.0
Grails home is set to: C:\grails-1.0.3                
                
Base Directory: D:\Projects
Note: No plugin scripts found
Running script C:\grails-1.0.3\scripts\CreateApp.groovy
Environment set to development
String index out of range: 1
Comment 1 martin_adamek 2008-07-15 15:03:04 UTC
And is it working for you in command line: 'grails create-app' ?
Comment 2 _ krystyna 2008-07-16 01:41:17 UTC
NetBeans IDE Dev (Build 20080715153428)
Java: 1.6.0_10-rc

I am seeing similar error--from the IDE output window:

Welcome to Grails 1.0.3 - http://grails.org/
Licensed under Apache Standard License 2.0
Grails home is set to: C:\grails-1.0.3\grails                
                
Base Directory: c:\sun
Note: No plugin scripts found
Running script C:\grails-1.0.3\grails\scripts\CreateApp.groovy
Environment set to development
String index out of range: 1


from the message.log:

INFO [org.netbeans.modules.groovy.grails.KillableProcess]: Project exec() problem
java.io.IOException: CreateProcess error=2, The system cannot find the file specified
        at java.lang.ProcessImpl.create(Native Method)
        at java.lang.ProcessImpl.<init>(ProcessImpl.java:81)
        at java.lang.ProcessImpl.start(ProcessImpl.java:30)
        at java.lang.ProcessBuilder.start(ProcessBuilder.java:452)
Caused: java.io.IOException: Cannot run program "wmic.exe": CreateProcess error=2, The system cannot find the file 
specified
        at java.lang.ProcessBuilder.start(ProcessBuilder.java:459)
        at org.openide.execution.NbProcessDescriptor.exec(NbProcessDescriptor.java:199)
[catch] at org.netbeans.modules.groovy.grails.KillableProcess$WindowsExecutor.run(KillableProcess.java:172)
        at java.lang.Thread.run(Thread.java:619)
WARNING [org.netbeans.modules.groovy.grailsproject.ui.wizards.NewGrailsProjectWizardIterator]: Folder was expected, but 
not found: C:\Sun\GrailsApplication1

Error from the command line:

C:\grails-1.0.3\grails\scripts>CreateApp.groovy Testapp
org.codehaus.groovy.control.MultipleCompilationErrorsException: startup failed, C:\grails-1.0.3
\grails\scripts\CreateApp.groovy: 25: unable to resolve class org.codehaus.groovy.grails.commons.GrailsClassUtils
 @ line 25, column 1.
   import org.codehaus.groovy.grails.commons.GrailsClassUtils as GCU
   ^

1 error



Comment 3 martin_adamek 2008-07-16 08:00:24 UTC
Petre, can you please have a look at this?
Comment 4 Petr Hejl 2008-07-16 13:19:55 UTC
Fixed 3a3a9fbb3a0a.
Comment 5 _ krystyna 2008-07-16 23:16:40 UTC
Verified fixed in NetBeans IDE Dev (Build 20080716192317)
Java: 1.6.0_10-rc; Java HotSpot(TM) Client VM 11.0-b13
System: Windows XP version 5.1
Comment 6 Quality Engineering 2008-07-17 04:31:26 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #324 build
Changeset: http://hg.netbeans.org/main/rev/3a3a9fbb3a0a
User: phejl@netbeans.org
Log: #140098 [65cat] Grails project cannot be created


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo